val negb : bool -> bool

val app : 'a1 list -> 'a1 list -> 'a1 list

val plus : int -> int -> int

val mult : int -> int -> int

val minus : int -> int -> int

val nth : int -> 'a1 list -> 'a1 -> 'a1

val init_row_list : int -> (int -> 'a1) -> 'a1 list

val init_matrix_list : int -> int -> (int -> int -> 'a1) -> 'a1 list

val elem : 'a1 -> int -> int -> int -> 'a1 list -> 'a1

val add_matrix_list :
  ('a1 -> 'a1 -> 'a1) -> 'a1 -> int -> int -> 'a1 list -> 'a1 list -> 'a1
  list

val bilinear_list :
  ('a1 -> 'a1 -> 'a1) -> ('a1 -> 'a1 -> 'a1) -> 'a1 -> int -> int -> 'a1 list
  -> int -> int -> 'a1 list -> int -> 'a1

val mul_matrix_list :
  ('a1 -> 'a1 -> 'a1) -> ('a1 -> 'a1 -> 'a1) -> 'a1 -> int -> int -> 'a1 list
  -> int -> int -> 'a1 list -> 'a1 list

val beq_nat : int -> int -> bool

val ble_nat : int -> int -> bool

val blt_nat : int -> int -> bool

val cofactor_elem : 'a1 -> int -> int -> int -> 'a1 list -> int -> int -> 'a1

val cofactor_matrix : 'a1 -> int -> int -> int -> int -> 'a1 list -> 'a1 list

val mod2 : int -> int

val list_sign_sum_F :
  ('a1 -> 'a1 -> 'a1) -> ('a1 -> 'a1 -> 'a1) -> 'a1 -> int -> 'a1 -> 'a1 list
  -> 'a1

val determinant :
  ('a1 -> 'a1 -> 'a1) -> ('a1 -> 'a1 -> 'a1) -> ('a1 -> 'a1 -> 'a1) -> 'a1 ->
  int -> 'a1 list -> 'a1

